1. Ledger
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle Service
    • Debt Collection Services
    • Accounting integrations
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
      • Validate access token
      • Renew access token
    • Invoices
      • Introduction to Invoices
      • Create an invoice
      • Create an Invoice Action
      • Retrieve case details
      • Retrieve distribution Information
    • Payments
      • Introduction to Payments
      • Retrieve Payments
      • Retrieve settlements
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
          POST
        • Ledger
          GET
      • Payment
        • Payment
        • Payment
Need help?
  1. Ledger

Ledger

POST
https://staging-integrations.confirmafinance.com/api/v1/partner/accounting/ledger
accountingledger
This interface is used to submit new accounting transactions to third-party accounting services such as Netvisor, Procountor and NetBaron. Each payload contains a complete set of accounting transactions to be transferred to the selected service provider.

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Body Params application/json

Example
{
	"ledgers": {
        "ledgerIdentifier": "abc-123-def-456",
		"companyIdentifier": "123456-7",
		"documentType": "ML",
		"documentName": "1001",
        "documentDate": "2025-12-13",
		"documentDescription": "Here comes the description, max 210 chars long",
		"calculationMode": "GROSS",
		"ledgerRows": [
			{
                "bookingDate": "2025-12-12",
				"accountNumber": "1701",
                "vatAccountNumber": null,
                "vatType": null,
				"vatPercentage": 0,
				"vatCode": "",
				"amount": 2990.0,
				"netAmount": 2990.0,
				"isVatRow": 0,
                "projectNumber": "PN12345",
                "transactionType": null,
				"transactionDescription": "1763",
				"ledgerDimensions": [
                    {
                        "dimensionType": "COST_CENTER",
                        "dimensionValue": "1000"
                    }
                ]
			},
			{
                "bookingDate": "2025-12-12",
				"accountNumber": "3000",
                "vatAccountNumber": null,
                "vatType": null,
				"vatPercentage": 25.5,
				"vatCode": "20",
				"amount": -2990.0,
				"netAmount": -2382.47,
				"isVatRow": 0,
                "projectNumber": "PN12345",
                "transactionType": null,
				"transactionDescription": "1763",
				"ledgerDimensions": []
			},
			{
                "bookingDate": "2025-12-12",
				"accountNumber": "2939",
                "vatAccountNumber": null,
                "vatType": null,
				"vatPercentage": 0,
				"vatCode": "",
				"amount": -607.53,
				"netAmount": -607.53,
				"isVatRow": 1,
                "projectNumber": "PN12345",
                "transactionType": null,
				"transactionDescription": "1763",
				"ledgerDimensions": []
			}
		]
	}
}

Responses

🟢200
application/json
Body

Example
{}
🟠401Unauthorized
Previous
Ledger
Next
Ledger
Built with